From cb150409485f28abb45f2839ab290c9d1c2d0fa2 Mon Sep 17 00:00:00 2001
From: web-sonic <asvodyanov@gmail.com>
Date: Tue, 22 Jun 2021 22:07:05 +0300
Subject: [PATCH] add build with debug symbols

---
 linux/debian/scripts/compile_and_pack.sh | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

diff --git a/linux/debian/scripts/compile_and_pack.sh b/linux/debian/scripts/compile_and_pack.sh
index 9fa57c7..2d4fd35 100755
--- a/linux/debian/scripts/compile_and_pack.sh
+++ b/linux/debian/scripts/compile_and_pack.sh
@@ -62,7 +62,8 @@ pwd
 error=0
 mkdir -p packages
 
-substitute_pkgname_postfix && mkdir -p build && cd build && cmake ../ && make -j$(nproc) && cpack && repack *.deb && mv -v *.deb ../packages/ && cd .. && rm -r build || error=$?
+substitute_pkgname_postfix && mkdir -p build && cd build && cmake ../ && make -j$(nproc) && cpack && repack *.deb && mv -v *.deb ../packages/ && rm -r * \
+&& cmake -DCMAKE_BUILD_TYPE=Debug ../ && make -j$(nproc) && cpack && repack *.deb && mv -v *.deb ../packages/ && cd .. && rm -r build || error=$?
 exit $error
 
 ### touch /etc/apt/sources.list.d/demlabs.list deb https://debian.pub.demlabs.net/ bionic main universe multiverse
-- 
GitLab